Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex IoT Core
  • Service closure
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • GetByName
        • List
        • Create
        • Update
        • Delete
        • ListCertificates
        • AddCertificate
        • DeleteCertificate
        • ListPasswords
        • AddPassword
        • DeletePassword
        • ListOperations
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • DeviceMonitoringData
  1. Devices API reference
  2. REST
  3. Device
  4. Get

IoT Core Service, REST: Device.Get

Written by
Yandex Cloud
Improved by
amatol
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • DeviceMonitoringData

Returns the specified device.
To get the list of available devices, make a List request.

HTTP requestHTTP request

GET https://iot-devices.api.cloud.yandex.net/iot-devices/v1/devices/{deviceId}

Path parametersPath parameters

Field

Description

deviceId

string

Required field. ID of the device to return.
To get a device ID make a DeviceService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

deviceView

enum (DeviceView)

Specifies which parts of the device resource should be returned
in the response.

  • BASIC: Server responses without monitoring data.
    The default value.
  • FULL: Server responses with monitoring data.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "registryId": "string",
  "createdAt": "string",
  "name": "string",
  "description": "string",
  "topicAliases": "object",
  "status": "string",
  "monitoringData": {
    "lastAuthIp": "string",
    "lastAuthTime": "string",
    "lastPubActivityTime": "string",
    "lastSubActivityTime": "string",
    "lastOnlineTime": "string",
    "lastDisconnectTime": "string"
  },
  "labels": "object"
}

A device. For more information, see Device.

Field

Description

id

string

ID of the device.

registryId

string

ID of the registry that the device belongs to.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Name of the device. The name is unique within the registry.

description

string

Description of the device. 0-256 characters long.

topicAliases

object (map<string, string>)

Alias of a device topic.
Alias is an alternate name of a device topic assigned by the user. Map alias to canonical topic name prefix, e.g. my/custom/alias match to $device/abcdef/events.

status

enum (Status)

Status of the device.

  • CREATING: Device is being created.
  • ACTIVE: Device is ready to use.
  • DELETING: Device is being deleted.

monitoringData

DeviceMonitoringData

Device monitoring data, returns if FULL view specified.

labels

object (map<string, string>)

Resource labels as key:value pairs. Maximum of 64 per resource.

DeviceMonitoringDataDeviceMonitoringData

Field

Description

lastAuthIp

string

lastAuthTime

string (date-time)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

lastPubActivityTime

string (date-time)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

lastSubActivityTime

string (date-time)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

lastOnlineTime

string (date-time)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

lastDisconnectTime

string (date-time)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Was the article helpful?

Previous
Overview
Next
GetByName
© 2026 Direct Cursus Technology L.L.C.